JBoss Native SVN: r3020 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 12:33:33 -0500 (Tue, 15 Jan 2013)
New Revision: 3020
Modified:
trunk/build/unix/build.sh
Log:
Arrange the no-idea no-mdc2 no-rc5 no-ec no-ecdh no-ecdsa no-krb5 ...
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 17:03:51 UTC (rev 3019)
+++ trunk/build/unix/build.sh 2013-01-15 17:33:33 UTC (rev 3020)
@@ -721,22 +721,22 @@
;;
windows-x86)
env; echo $PATH
- cygspawn perl Configure ${ssl_target} VC-WIN32
+ cygspawn perl Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
- nmake -f ms/nt.mak
+ nmake -f ms/nt.mak || exit 1
#CPERL=`cygpath -w /usr/bin/perl`
#nmake -f ms/nt.mak install PERL="$CPERL"
- nmake -f ms/nt.mak install
+ nmake -f ms/nt.mak install || exit 1
;;
windows-x64|windows-amd64)
- echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
- cygspawn perl Configure VC-WIN64A ${ssl_target}
+ echo "Doing: perl Configure ${ssl_target} ${ssl_common_flags} VC-WIN64A"
+ cygspawn perl Configure ${ssl_target} ${ssl_common_flags} VC-WIN64A
ms/do_win64a.bat
- nmake -f ms/nt.mak
+ nmake -f ms/nt.mak || exit 1
#CPERL=`cygpath -w /usr/bin/perl`
#nmake -f ms/nt.mak install PERL="$CPERL"
- nmake -f ms/nt.mak install
+ nmake -f ms/nt.mak install || exit 1
# fix the ml to ml64...
#sed "s:=ml :=ml64 :" ms/nt.mak > $$.mak
#mv $$.mak ms/nt.mak
11 years, 11 months
JBoss Native SVN: r3019 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 12:03:51 -0500 (Tue, 15 Jan 2013)
New Revision: 3019
Modified:
trunk/build/unix/build.sh
Log:
no need of full path.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 16:28:26 UTC (rev 3018)
+++ trunk/build/unix/build.sh 2013-01-15 17:03:51 UTC (rev 3019)
@@ -721,7 +721,7 @@
;;
windows-x86)
env; echo $PATH
- /cygdrive/c/cmsc/tools/i386/cygspawn perl Configure ${ssl_target} VC-WIN32
+ cygspawn perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
nmake -f ms/nt.mak
@@ -731,7 +731,7 @@
;;
windows-x64|windows-amd64)
echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
- /cygdrive/c/cmsc/tools/amd64/cygspawn perl Configure VC-WIN64A ${ssl_target}
+ cygspawn perl Configure VC-WIN64A ${ssl_target}
ms/do_win64a.bat
nmake -f ms/nt.mak
#CPERL=`cygpath -w /usr/bin/perl`
11 years, 11 months
JBoss Native SVN: r3018 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 11:28:26 -0500 (Tue, 15 Jan 2013)
New Revision: 3018
Modified:
trunk/build/unix/build.sh
Log:
try with cygspawn.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 16:15:13 UTC (rev 3017)
+++ trunk/build/unix/build.sh 2013-01-15 16:28:26 UTC (rev 3018)
@@ -721,7 +721,7 @@
;;
windows-x86)
env; echo $PATH
- perl Configure ${ssl_target} VC-WIN32
+ /cygdrive/c/cmsc/tools/i386/cygspawn perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
nmake -f ms/nt.mak
@@ -731,7 +731,7 @@
;;
windows-x64|windows-amd64)
echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
- perl Configure VC-WIN64A ${ssl_target}
+ /cygdrive/c/cmsc/tools/amd64/cygspawn perl Configure VC-WIN64A ${ssl_target}
ms/do_win64a.bat
nmake -f ms/nt.mak
#CPERL=`cygpath -w /usr/bin/perl`
11 years, 11 months
JBoss Native SVN: r3017 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 11:15:13 -0500 (Tue, 15 Jan 2013)
New Revision: 3017
Modified:
trunk/build/unix/build.sh
Log:
put back the nmake -f ms/nt.mak install alone.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 15:57:48 UTC (rev 3016)
+++ trunk/build/unix/build.sh 2013-01-15 16:15:13 UTC (rev 3017)
@@ -725,16 +725,18 @@
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
nmake -f ms/nt.mak
- CPERL=`cygpath -w /usr/bin/perl`
- nmake -f ms/nt.mak install PERL="$CPERL"
+ #CPERL=`cygpath -w /usr/bin/perl`
+ #nmake -f ms/nt.mak install PERL="$CPERL"
+ nmake -f ms/nt.mak install
;;
windows-x64|windows-amd64)
echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
perl Configure VC-WIN64A ${ssl_target}
ms/do_win64a.bat
nmake -f ms/nt.mak
- CPERL=`cygpath -w /usr/bin/perl`
- nmake -f ms/nt.mak install PERL="$CPERL"
+ #CPERL=`cygpath -w /usr/bin/perl`
+ #nmake -f ms/nt.mak install PERL="$CPERL"
+ nmake -f ms/nt.mak install
# fix the ml to ml64...
#sed "s:=ml :=ml64 :" ms/nt.mak > $$.mak
#mv $$.mak ms/nt.mak
11 years, 11 months
JBoss Native SVN: r3016 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 10:57:48 -0500 (Tue, 15 Jan 2013)
New Revision: 3016
Modified:
trunk/build/unix/build.sh
Log:
Add traces.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 15:20:14 UTC (rev 3015)
+++ trunk/build/unix/build.sh 2013-01-15 15:57:48 UTC (rev 3016)
@@ -720,6 +720,7 @@
./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} linux-ppc64 || exit 1
;;
windows-x86)
+ env; echo $PATH
perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
11 years, 11 months
JBoss Native SVN: r3015 - trunk/build/daemon.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 10:20:14 -0500 (Tue, 15 Jan 2013)
New Revision: 3015
Modified:
trunk/build/daemon/buildnat.bat
Log:
Build again 23 and 64 bits for windoze.
Modified: trunk/build/daemon/buildnat.bat
===================================================================
--- trunk/build/daemon/buildnat.bat 2013-01-15 15:19:14 UTC (rev 3014)
+++ trunk/build/daemon/buildnat.bat 2013-01-15 15:20:14 UTC (rev 3015)
@@ -48,7 +48,7 @@
REM static dll tcnative-1.dll
call buildnew.bat static x86 jboss-native -ssl -cache -static
-REM call buildnew.bat static x64 jboss-native -ssl -cache -static
+call buildnew.bat static x64 jboss-native -ssl -cache -static
REM call build.bat sdk static i64 jboss-native -ssl -cache -static
REM Uncomment for building sight
REM call build.bat sdk x86 jboss-sight -cache
11 years, 11 months
JBoss Native SVN: r3014 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 10:19:14 -0500 (Tue, 15 Jan 2013)
New Revision: 3014
Modified:
trunk/build/unix/build.sh
Log:
Arrange 64 bits too.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 14:58:54 UTC (rev 3013)
+++ trunk/build/unix/build.sh 2013-01-15 15:19:14 UTC (rev 3014)
@@ -726,13 +726,14 @@
nmake -f ms/nt.mak
CPERL=`cygpath -w /usr/bin/perl`
nmake -f ms/nt.mak install PERL="$CPERL"
- exit 1
;;
windows-x64|windows-amd64)
echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
perl Configure VC-WIN64A ${ssl_target}
ms/do_win64a.bat
- nmake -f ms/nt.mak install
+ nmake -f ms/nt.mak
+ CPERL=`cygpath -w /usr/bin/perl`
+ nmake -f ms/nt.mak install PERL="$CPERL"
# fix the ml to ml64...
#sed "s:=ml :=ml64 :" ms/nt.mak > $$.mak
#mv $$.mak ms/nt.mak
11 years, 11 months
JBoss Native SVN: r3013 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 09:58:54 -0500 (Tue, 15 Jan 2013)
New Revision: 3013
Modified:
trunk/build/unix/build.sh
Log:
typo.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 14:51:59 UTC (rev 3012)
+++ trunk/build/unix/build.sh 2013-01-15 14:58:54 UTC (rev 3013)
@@ -724,7 +724,7 @@
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
nmake -f ms/nt.mak
- CPERL=``cygpath -w /usr/bin/perl`
+ CPERL=`cygpath -w /usr/bin/perl`
nmake -f ms/nt.mak install PERL="$CPERL"
exit 1
;;
11 years, 11 months
JBoss Native SVN: r3012 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 09:51:59 -0500 (Tue, 15 Jan 2013)
New Revision: 3012
Modified:
trunk/build/unix/build.sh
Log:
Try to use the cygwin perl instead the windoze one.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 13:57:03 UTC (rev 3011)
+++ trunk/build/unix/build.sh 2013-01-15 14:51:59 UTC (rev 3012)
@@ -724,7 +724,8 @@
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
nmake -f ms/nt.mak
- nmake -f ms/nt.mak install
+ CPERL=``cygpath -w /usr/bin/perl`
+ nmake -f ms/nt.mak install PERL="$CPERL"
exit 1
;;
windows-x64|windows-amd64)
11 years, 11 months
JBoss Native SVN: r3011 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 08:57:03 -0500 (Tue, 15 Jan 2013)
New Revision: 3011
Modified:
trunk/build/unix/build.sh
Log:
remove traces :-(
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 13:39:30 UTC (rev 3010)
+++ trunk/build/unix/build.sh 2013-01-15 13:57:03 UTC (rev 3011)
@@ -720,14 +720,12 @@
./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} linux-ppc64 || exit 1
;;
windows-x86)
- which perl
- perl -version
- which nmake
- exit 1
perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
+ nmake -f ms/nt.mak
nmake -f ms/nt.mak install
+ exit 1
;;
windows-x64|windows-amd64)
echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
11 years, 11 months